package io.renren;

import io.renren.modules.generator.entity.AlgorithmEntity;
import io.renren.modules.generator.entity.ModelEntity;
import io.renren.modules.generator.service.ModelService;
import io.renren.modules.generator.service.impl.AlgorithmServiceImpl;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

/**
 * @Description
 * @Author chenrj.xdu@gmail.com
 * @Version V1.0.0
 * @Since 1.0
 * @Date 2021/11/15
 */

@RunWith(SpringRunner.class)
@SpringBootTest
public class Check {
    @Autowired
    private ModelService modelService;

    @Test
    public void test() {
        System.out.println(modelService);
        ModelEntity model = new ModelEntity();
        model.setModelId(23L);
        model.setRemark("assss");
        modelService.updateById(model);
    }

    public static void main(String[] args) {
        String user_dir = System.getProperty("user.dir");
        System.out.println(user_dir);
    }
}
